%pointsShouldBeIgnored Determines if the deviation of 'Points' of the given
%elements should be ignored.
%
%   tf = pointsShouldBeIgnored(oldElement, newElement, parameterName)
%   determines if differences of the parameters 'Points' of lines in the TL
%   simulation frame should be ignored. These differences are caused by
%   calling the TL operation tl_check_ports in different TL versions and
%   lead to failures in the test runs that should be ignored by the test
%   framework.
%
%   The function returns true if parameterName is 'Points', the elements to
%   be compared (oldElement and newElement) are a lines in the TL
%   simulation frame, and the deviation of 'Points' is not greater than 50
%   pixels. Any deviation in number of points or boundary position is
%   ignored if the TatgetLink version is 5.2.
